easy_admin:
    entities:
        Ad:
            class: App\AdsBundle\Entity\Ad
            require_permission: ROLE_ADMIN
            list:
                title: entity.ad.title.list
                fields:
                    - { property: id, label: common.id }
                    - property: name
                      label: entity.ad.form.label.name
                    - property: siteSection.locale.name
                      label: entity.ad.form.label.siteSection
                    - property: section.name
                      label: entity.ad.form.label.section
                    - property: advertiser
                      label: entity.ad.form.label.advertiser
                    - property: advertiserEmail
                      label: entity.ad.form.label.advertiser_email
                      template: "@Core/backend/display/field_email_envelope.html.twig"
                    - property: expirationDate
                      label: entity.ad.form.label.expirationDate
                    - property: clicksAmount
                      label: entity.ad.form.label.clicksAmount
                    - property: viewsAmount
                      label: entity.ad.form.label.viewsAmount
                actions:
                    - { name: 'new', icon: 'plus' }
                    - { name: 'delete', icon: 'trash' }
            form:
                fields:
                    - type: group
                      css_class: col-lg-7
                      label: common.main_content
                      icon: paint-brush

                    - property: expirationDate
                      label: entity.ad.form.label.expirationDate
                    - property: name
                      label: entity.ad.form.label.name
                    - property: url
                      label: entity.ad.form.label.url
                      help: entity.ad.form.label.url_help
                    - property: advertiser
                      label: entity.ad.form.label.advertiser
                    - property: advertiserEmail
                      label: entity.ad.form.label.advertiser_email
                    - property: imageFile
                      type: Vich\UploaderBundle\Form\Type\VichImageType
                      label: entity.ad.form.label.image

                    - type: group
                      css_class: col-lg-5
                      label: common.other
                      icon: calendar

                    - property: siteSection
                      label: entity.ad.form.label.siteSection
                      type_options:
                        placeholder: -

                    - property: section
                      label: entity.ad.form.label.section
                      type: App\AdsBundle\Form\Type\AdsSectionsType

                    - type: section
                      label: entity.ad.form.label.displayed_in_section
                      icon: eye

                    - property: displayingInWholeCatalog
                      label: entity.ad.form.label.displayingInWholeCatalog

                    - property: displayingInVoivodeships
                      label: entity.ad.form.label.displayingInVoivodeships

                    - property: displayingInCities
                      label: entity.ad.form.label.displayingInCities

                    - property: displayingInWholeClassifieds
                      label: entity.ad.form.label.displayingInWholeClassifieds

                    - property: displayClassifiedsCategories
                      label: entity.ad.form.label.displayClassifiedsCategories
                      type: App\ClassifiedsBundle\Form\Type\ClassifiedsMainCategoryType

            new:
                title: entity.ad.title.new
            edit:
                title: entity.ad.title.edit
                fields:
                    - property: section
                      type_options:
                        disabled: true